Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.tablegenerator.TableData Class Reference

## Public Member Functions
| TableData ()
| Constructor.
| TableData (RectF rect, int row_count, int col_count, TableBorderInfo outside_border_left, TableBorderInfo outside_border_right, TableBorderInfo outside_border_top, TableBorderInfo outside_border_bottom, TableBorderInfo inside_border_row, TableBorderInfo inside_border_col, TableCellIndexArray merge_cells, FloatArray row_height_array, FloatArray col_width_array)
| Constructor, with parameters. More...
| TableData (TableData data)
| Constructor, with another table cell data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getCol_count ()
| Get the count of columns in the table. More...
FloatArray | getCol_width_array ()
| Get the column width array. More...
TableBorderInfo | getInside_border_col ()
| Get the column inside border info. More...
TableBorderInfo | getInside_border_row ()
| Get the row inside border info. More...
TableCellIndexArray | getMerge_cells ()
| Get the merge cells. More...
TableBorderInfo | getOutside_border_bottom ()
| Get the bottom outside border info. More...
TableBorderInfo | getOutside_border_left ()
| Get the left outside border info. More...
TableBorderInfo | getOutside_border_right ()
| Get the right outside border info. More...
TableBorderInfo | getOutside_border_top ()
| Get the top outside border info. More...
RectF | getRect ()
| Get rectangle of the table which specifies the position in PDF page. More...
int | getRow_count ()
| Get the count of rows in the table. More...
FloatArray | getRow_height_array ()
| Get the row height array. More...
void | set (RectF rect, int row_count, int col_count, TableBorderInfo outside_border_left, TableBorderInfo outside_border_right, TableBorderInfo outside_border_top, TableBorderInfo outside_border_bottom, TableBorderInfo inside_border_row, TableBorderInfo inside_border_col, TableCellIndexArray merge_cells, FloatArray row_height_array, FloatArray col_width_array)
| Set value. More...
void | setCol_count (int value)
| Set the count of columns in the table. More...
void | setCol_width_array (FloatArray value)
| Set the column width array. More...
void | setInside_border_col (TableBorderInfo value)
| Set the column inside border info. More...
void | setInside_border_row (TableBorderInfo value)
| Set the row inside border info. More...
void | setMerge_cells (TableCellIndexArray value)
| Set the merge cells. More...
void | setOutside_border_bottom (TableBorderInfo value)
| Set the bottom outside border info. More...
void | setOutside_border_left (TableBorderInfo value)
| Set the left outside border info. More...
void | setOutside_border_right (TableBorderInfo value)
| Set the right outside border info. More...
void | setOutside_border_top (TableBorderInfo value)
| Set the top outside border info. More...
void | setRect (RectF value)
| Set rectangle of the table which specifies the position in PDF page. More...
void | setRow_count (int value)
| Set the count of rows in the table. More...
void | setRow_height_array (FloatArray value)
| Set the row height array. More...

## Detailed Description

This class represents table data.

## Constructor & Destructor Documentation

## ◆ TableData() [1/2]

com.foxit.sdk.addon.tablegenerator.TableData.TableData | ( | RectF | rect,
|  | int | row_count,
|  | int | col_count,
|  | TableBorderInfo | outside_border_left,
|  | TableBorderInfo | outside_border_right,
|  | TableBorderInfo | outside_border_top,
|  | TableBorderInfo | outside_border_bottom,
|  | TableBorderInfo | inside_border_row,
|  | TableBorderInfo | inside_border_col,
|  | TableCellIndexArray | merge_cells,
|  | FloatArray | row_height_array,
|  | FloatArray | col_width_array
| ) |  |

Constructor, with parameters.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

## ◆ TableData() [2/2]

com.foxit.sdk.addon.tablegenerator.TableData.TableData | ( | TableData | data | ) |

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.tablegenerator.TableData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCol_count()

com.foxit.sdk.addon.tablegenerator.TableData.getCol_count | ( |  | ) |

Get the count of columns in the table.

Returns
  The count of columns in the table.

## ◆ getCol_width_array()

com.foxit.sdk.addon.tablegenerator.TableData.getCol_width_array | ( |  | ) |

Get the column width array.

Returns
  The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

## ◆ getInside_border_col()

com.foxit.sdk.addon.tablegenerator.TableData.getInside_border_col | ( |  | ) |

Get the column inside border info.

Returns
  The column inside border info.

## ◆ getInside_border_row()

com.foxit.sdk.addon.tablegenerator.TableData.getInside_border_row | ( |  | ) |

Get the row inside border info.

Returns
  The row inside border info.

## ◆ getMerge_cells()

com.foxit.sdk.addon.tablegenerator.TableData.getMerge_cells | ( |  | ) |

Get the merge cells.

Note
  In a merged cell index array, every two consecutive members are grouped into cells. The first member represents the starting cell of the merged cell, and the second member represents the ending cell of the merged cell. For the table cell index, the valid range: from 0 to (row_count - 1) or (col_count - 1).

Returns
  The merge cells. The length of this array must be even and the zero length means no merge cell.

## ◆ getOutside_border_bottom()

com.foxit.sdk.addon.tablegenerator.TableData.getOutside_border_bottom | ( |  | ) |

Get the bottom outside border info.

Returns
  The bottom outside border info.

## ◆ getOutside_border_left()

com.foxit.sdk.addon.tablegenerator.TableData.getOutside_border_left | ( |  | ) |

Get the left outside border info.

Returns
  The left outside border info.

## ◆ getOutside_border_right()

com.foxit.sdk.addon.tablegenerator.TableData.getOutside_border_right | ( |  | ) |

Get the right outside border info.

Returns
  The right outside border info.

## ◆ getOutside_border_top()

com.foxit.sdk.addon.tablegenerator.TableData.getOutside_border_top | ( |  | ) |

Get the top outside border info.

Returns
  The top outside border info.

## ◆ getRect()

com.foxit.sdk.addon.tablegenerator.TableData.getRect | ( |  | ) |

Get rectangle of the table which specifies the position in PDF page.

Returns
  Rectangle of the table which specifies the position in PDF page. It should be in PDF coordinate system.

## ◆ getRow_count()

com.foxit.sdk.addon.tablegenerator.TableData.getRow_count | ( |  | ) |

Get the count of rows in the table.

Returns
  The count of rows in the table.

## ◆ getRow_height_array()

com.foxit.sdk.addon.tablegenerator.TableData.getRow_height_array | ( |  | ) |

Get the row height array.

Returns
  The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.

## ◆ set()

void com.foxit.sdk.addon.tablegenerator.TableData.set | ( | RectF | rect,
|  | int | row_count,
|  | int | col_count,
|  | TableBorderInfo | outside_border_left,
|  | TableBorderInfo | outside_border_right,
|  | TableBorderInfo | outside_border_top,
|  | TableBorderInfo | outside_border_bottom,
|  | TableBorderInfo | inside_border_row,
|  | TableBorderInfo | inside_border_col,
|  | TableCellIndexArray | merge_cells,
|  | FloatArray | row_height_array,
|  | FloatArray | col_width_array
| ) |  |

Set value.

Parameters

  [in] | rect | The rectangle of the table which specifies the position in PDF page.
  [in] | row_count | The count of rows in the table.
  [in] | col_count | The count of columns in the table.
  [in] | outside_border_left | The left outside border info.
  [in] | outside_border_right | The right outside border info.
  [in] | outside_border_top | The top outside border info.
  [in] | outside_border_bottom | The bottom outside border info.
  [in] | inside_border_row | The row inside border info.
  [in] | inside_border_col | The column inside border info.
  [in] | merge_cells | The merge cells.
  [in] | row_height_array | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.
  [in] | col_width_array | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

Returns
  None.

## ◆ setCol_count()

com.foxit.sdk.addon.tablegenerator.TableData.setCol_count | ( | int | value | ) |

Set the count of columns in the table.

Parameters

  [in] | value | The count of columns in the table.

Returns
  None.

## ◆ setCol_width_array()

com.foxit.sdk.addon.tablegenerator.TableData.setCol_width_array | ( | FloatArray | value | ) |

Set the column width array.

Parameters

  [in] | value | The column width array. The column width will be set as default value automatically if the member of array is zero. Default: (width of rect)/col_count.

Returns
  None.

## ◆ setInside_border_col()

com.foxit.sdk.addon.tablegenerator.TableData.setInside_border_col | ( | TableBorderInfo | value | ) |

Set the column inside border info.

Parameters

  [in] | value | The column inside border info.

Returns
  None.

## ◆ setInside_border_row()

com.foxit.sdk.addon.tablegenerator.TableData.setInside_border_row | ( | TableBorderInfo | value | ) |

Set the row inside border info.

Parameters

  [in] | value | The row inside border info.

Returns
  None.

## ◆ setMerge_cells()

com.foxit.sdk.addon.tablegenerator.TableData.setMerge_cells | ( | TableCellIndexArray | value | ) |

Set the merge cells.

Note
  In a merged cell index array, every two consecutive members are grouped into cells. The first member represents the starting cell of the merged cell, and the second member represents the ending cell of the merged cell. For the table cell index, the valid range: from 0 to (row_count - 1) or (col_count - 1).

Parameters

  [in] | value | The merge cells. The length of this array must be even and the zero length means no merge cell.

Returns
  None.

## ◆ setOutside_border_bottom()

com.foxit.sdk.addon.tablegenerator.TableData.setOutside_border_bottom | ( | TableBorderInfo | value | ) |

Set the bottom outside border info.

Parameters

  [in] | value | The bottom outside border info.

Returns
  None.

## ◆ setOutside_border_left()

com.foxit.sdk.addon.tablegenerator.TableData.setOutside_border_left | ( | TableBorderInfo | value | ) |

Set the left outside border info.

Parameters

  [in] | value | The left outside border info.

Returns
  None.

## ◆ setOutside_border_right()

com.foxit.sdk.addon.tablegenerator.TableData.setOutside_border_right | ( | TableBorderInfo | value | ) |

Set the right outside border info.

Parameters

  [in] | value | The right outside border info.

Returns
  None.

## ◆ setOutside_border_top()

com.foxit.sdk.addon.tablegenerator.TableData.setOutside_border_top | ( | TableBorderInfo | value | ) |

Set the top outside border info.

Parameters

  [in] | value | The top outside border info.

Returns
  None.

## ◆ setRect()

com.foxit.sdk.addon.tablegenerator.TableData.setRect | ( | RectF | value | ) |

Set rectangle of the table which specifies the position in PDF page.

Parameters

  [in] | value | Rectangle of the table which specifies the position in PDF page. It should be in PDF coordinate system.

Returns
  None.

## ◆ setRow_count()

com.foxit.sdk.addon.tablegenerator.TableData.setRow_count | ( | int | value | ) |

Set the count of rows in the table.

Parameters

  [in] | value | The count of rows in the table.

Returns
  None.

## ◆ setRow_height_array()

com.foxit.sdk.addon.tablegenerator.TableData.setRow_height_array | ( | FloatArray | value | ) |

Set the row height array.

Parameters

  [in] | value | The row height array. The row height will be set as default value automatically if the member of array is zero. Default: (height of rect)/row_count.

Returns
  None.